package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.Date;

public class DataKcglKcswDefault {
    private String dataid;

    private String unitid;

    private String periodid;

    private Byte roundid;

    private Date modifydate;

    private String builder;

    private String lkmc;

    private String lkbm;

    private String hwxz;

    private String ch;

    private String hwh;

    private String pz;

    private String mxpz;

    private String dj;

    private Date rq;

    private String wjh;

    private Double kcsl;

    private Date cjsj;

    /**
     * 数据记录ID
     * @return DataID 数据记录ID
     */
    public String getDataid() {
        return dataid;
    }

    /**
     * 数据记录ID
     * @param dataid 数据记录ID
     */
    public void setDataid(String dataid) {
        this.dataid = dataid == null ? null : dataid.trim();
    }

    /**
     * 单位ID
     * @return UnitID 单位ID
     */
    public String getUnitid() {
        return unitid;
    }

    /**
     * 单位ID
     * @param unitid 单位ID
     */
    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    /**
     * 期间ID
     * @return PeriodID 期间ID
     */
    public String getPeriodid() {
        return periodid;
    }

    /**
     * 期间ID
     * @param periodid 期间ID
     */
    public void setPeriodid(String periodid) {
        this.periodid = periodid == null ? null : periodid.trim();
    }

    /**
     * 舍位ID
     * @return RoundID 舍位ID
     */
    public Byte getRoundid() {
        return roundid;
    }

    /**
     * 舍位ID
     * @param roundid 舍位ID
     */
    public void setRoundid(Byte roundid) {
        this.roundid = roundid;
    }

    /**
     * 最后一次编辑时间
     * @return ModifyDate 最后一次编辑时间
     */
    public Date getModifydate() {
        return modifydate;
    }

    /**
     * 最后一次编辑时间
     * @param modifydate 最后一次编辑时间
     */
    public void setModifydate(Date modifydate) {
        this.modifydate = modifydate;
    }

    /**
     * 条目创建人
     * @return builder 条目创建人
     */
    public String getBuilder() {
        return builder;
    }

    /**
     * 条目创建人
     * @param builder 条目创建人
     */
    public void setBuilder(String builder) {
        this.builder = builder == null ? null : builder.trim();
    }

    /**
     * 粮库名称
     * @return lkmc 粮库名称
     */
    public String getLkmc() {
        return lkmc;
    }

    /**
     * 粮库名称
     * @param lkmc 粮库名称
     */
    public void setLkmc(String lkmc) {
        this.lkmc = lkmc == null ? null : lkmc.trim();
    }

    /**
     * 粮库编码
     * @return lkbm 粮库编码
     */
    public String getLkbm() {
        return lkbm;
    }

    /**
     * 粮库编码
     * @param lkbm 粮库编码
     */
    public void setLkbm(String lkbm) {
        this.lkbm = lkbm == null ? null : lkbm.trim();
    }

    /**
     * 货物性质
     * @return hwxz 货物性质
     */
    public String getHwxz() {
        return hwxz;
    }

    /**
     * 货物性质
     * @param hwxz 货物性质
     */
    public void setHwxz(String hwxz) {
        this.hwxz = hwxz == null ? null : hwxz.trim();
    }

    /**
     * 仓号ID
     * @return ch 仓号ID
     */
    public String getCh() {
        return ch;
    }

    /**
     * 仓号ID
     * @param ch 仓号ID
     */
    public void setCh(String ch) {
        this.ch = ch == null ? null : ch.trim();
    }

    /**
     * 货位号ID
     * @return hwh 货位号ID
     */
    public String getHwh() {
        return hwh;
    }

    /**
     * 货位号ID
     * @param hwh 货位号ID
     */
    public void setHwh(String hwh) {
        this.hwh = hwh == null ? null : hwh.trim();
    }

    /**
     * 品种
     * @return pz 品种
     */
    public String getPz() {
        return pz;
    }

    /**
     * 品种
     * @param pz 品种
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 明细品种
     * @return mxpz 明细品种
     */
    public String getMxpz() {
        return mxpz;
    }

    /**
     * 明细品种
     * @param mxpz 明细品种
     */
    public void setMxpz(String mxpz) {
        this.mxpz = mxpz == null ? null : mxpz.trim();
    }

    /**
     * 等级
     * @return dj 等级
     */
    public String getDj() {
        return dj;
    }

    /**
     * 等级
     * @param dj 等级
     */
    public void setDj(String dj) {
        this.dj = dj == null ? null : dj.trim();
    }

    /**
     * 日期
     * @return rq 日期
     */
    public Date getRq() {
        return rq;
    }

    /**
     * 日期
     * @param rq 日期
     */
    public void setRq(Date rq) {
        this.rq = rq;
    }

    /**
     * 文件号ID
     * @return wjh 文件号ID
     */
    public String getWjh() {
        return wjh;
    }

    /**
     * 文件号ID
     * @param wjh 文件号ID
     */
    public void setWjh(String wjh) {
        this.wjh = wjh == null ? null : wjh.trim();
    }

    /**
     * 库存数量
     * @return kcsl 库存数量
     */
    public Double getKcsl() {
        return kcsl;
    }

    /**
     * 库存数量
     * @param kcsl 库存数量
     */
    public void setKcsl(Double kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }
    
    private String scnf; //生产年份

	public String getScnf() {
		return scnf;
	}

	public void setScnf(String scnf) {
		this.scnf = scnf;
	}

}